Name: supervise-scripts
Summary: Utility scripts for use with supervise and svscan.
Version: 4.0
Release: 5.art
License: GPL
Group: Utilities/System
Source: http://untroubled.org/supervise-scripts/archive/supervise-scripts-%{version}.tar.gz
Source1: daemontools.conf
BuildRoot: %{_tmppath}/supervise-scripts-root
BuildArch: noarch
URL: http://untroubled.org/supervise-scripts/
Packager: Bruce Guenter <bruceg@em.ca>
Requires: daemontools >= 0.76
Requires: fileutils
Requires: grep
Requires: sh-utils
Requires: textutils

%description
A set of scripts for handling programs managed with supervise and svscan.

%prep
%setup

%build
echo %{_bindir} >conf-bin
echo %{_mandir} >conf-man
make programs

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT/service
mkdir -p $RPM_BUILD_ROOT/var/service

make PREFIX=$RPM_BUILD_ROOT install

%if 0%{?rhel} >= 6
mkdir -p $RPM_BUILD_ROOT/etc/init
install -m0644 %{SOURCE1} %{buildroot}/etc/init/daemontools.conf
%endif

%post
if [ $1 = 1 ]; then
%if 0%{?rhel} >= 6
/sbin/initctl start daemontools || :
%else
%{_bindir}/svscan-add-to-inittab
%endif
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/*
%{_mandir}/man*/*
%dir /service
%dir /var/service
%if 0%{?rhel} >= 6
/etc/init/daemontools.conf
%endif

%changelog
* Thu May 2 2013 Scott R. Shinn <scott@atomicorp.com> - 4.0-3
- Update to daemontools.conf to work with upstart correctly

* Sun Feb 26 2012 Scott R. Shinn <scott@atomicorp.com> - 4.0-2
- Resync with upstream
- Add el6 support for upstart
